Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class MarkupDefinition

    java.lang.Object
      |
      +--com.bea.netuix.application.definition.MarkupDefinition

All Implemented Interfaces:
  Serializable

public class MarkupDefinition
extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static MarkupDefinitionId` | `MARKUP_BOOK_ID`
`static MarkupDefinitionId` | `MARKUP_BOOK_NO_MIN_NO_MAX_ID`
`static MarkupDefinitionId` | `MARKUP_BOOK_VISITOR_TOOL_ID`
`static MarkupDefinitionId` | `MARKUP_DESKTOP_ID`
`static MarkupDefinitionId` | `MARKUP_JAVA_PORTLET_ID`
`static MarkupDefinitionId` | `MARKUP_PAGE_ID`
`static MarkupDefinitionId` | `MARKUP_SIMPLE_PORTLET_ID`

Constructor Summary
`MarkupDefinition(String name, String type, String webAppName, String markupFile, String beginXml, String endXml)`

Method Summary
`String` | `getBeginXml()`
`String` | `getEndXml()`
`MarkupDefinitionId` | `getMarkupDefinitionId()`
`String` | `getMarkupFile()`
`String` | `getName()`
`String` | `getType()`
`String` | `getWebAppName()`
`void` | `setBeginXml(String beginXml)`
`void` | `setEndXml(String endXml)`
`void` | `setMarkupFile(String markupFile)`
`void` | `setName(String name)`
`void` | `setType(String type)`
`void` | `setWebAppName(String webAppName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MARKUP_BOOK_VISITOR_TOOL_ID

    public static final MarkupDefinitionId MARKUP_BOOK_VISITOR_TOOL_ID

### MARKUP_BOOK_NO_MIN_NO_MAX_ID

    public static final MarkupDefinitionId MARKUP_BOOK_NO_MIN_NO_MAX_ID

### MARKUP_BOOK_ID

    public static final MarkupDefinitionId MARKUP_BOOK_ID

### MARKUP_PAGE_ID

    public static final MarkupDefinitionId MARKUP_PAGE_ID

### MARKUP_SIMPLE_PORTLET_ID

    public static final MarkupDefinitionId MARKUP_SIMPLE_PORTLET_ID

### MARKUP_JAVA_PORTLET_ID

    public static final MarkupDefinitionId MARKUP_JAVA_PORTLET_ID

### MARKUP_DESKTOP_ID

    public static final MarkupDefinitionId MARKUP_DESKTOP_ID

Constructor Detail

### MarkupDefinition

    public MarkupDefinition(String name,
                            String type,
                            String webAppName,
                            String markupFile,
                            String beginXml,
                            String endXml)

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### getType

    public String getType()

### setType

    public void setType(String type)

### getWebAppName

    public String getWebAppName()

### setWebAppName

    public void setWebAppName(String webAppName)

### getMarkupFile

    public String getMarkupFile()

### setMarkupFile

    public void setMarkupFile(String markupFile)

### getBeginXml

    public String getBeginXml()

### setBeginXml

    public void setBeginXml(String beginXml)

### getEndXml

    public String getEndXml()

### setEndXml

    public void setEndXml(String endXml)

### getMarkupDefinitionId

    public MarkupDefinitionId getMarkupDefinitionId()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved